<?php

namespace Vendtics\App\DTO\Contact;

defined( "ABSPATH" ) || exit;

use Vendtics\WpMVC\DTO\DTO;

class ContactTagDTO extends DTO {
    private int $contact_id;

    private int $tag_id;

    /**
     * Get the value of contact_id
     *
     * @return int
     */
    public function get_contact_id(): int {
        return $this->contact_id;
    }

    /**
     * Set the value of contact_id
     *
     * @param int $contact_id 
     *
     * @return self
     */
    public function set_contact_id( int $contact_id ): self {
        $this->contact_id = $contact_id;

        return $this;
    }

    /**
     * Get the value of tag_id
     *
     * @return int
     */
    public function get_tag_id(): int {
        return $this->tag_id;
    }

    /**
     * Set the value of tag_id
     *
     * @param int $tag_id 
     *
     * @return self
     */
    public function set_tag_id( int $tag_id ): self {
        $this->tag_id = $tag_id;

        return $this;
    }
}